classification
Title: Doc changes left over after mega-merge from trunk
Type: Stage:
Components: Documentation Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: amaury.forgeotdarc, georg.brandl, gvanrossum, pedronis
Priority: critical Keywords:

Created on 2007-11-01 19:48 by gvanrossum, last changed 2009-07-15 09:21 by amaury.forgeotdarc. This issue is now closed.

Files
File name Uploaded Description Edit
Doc.diff gvanrossum, 2007-11-01 19:48
Messages (8)
msg57029 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-11-01 19:48
When merging the trunk into py3k, a large number of Doc changes
appeared, many of which were conflicts.  I checked in the non-Doc
changes, and hope that someone else (Georg?) will do the honors of
sorting through the doc changes.  Here are the diffs of what I left
unsubmitted, with conflict markers intact.  These files have conflicts:

C      Doc/c-api/newtypes.rst
C      Doc/c-api/abstract.rst
C      Doc/reference/compound_stmts.rst
C      Doc/reference/expressions.rst
C      Doc/tutorial/controlflow.rst
C      Doc/tutorial/classes.rst
C      Doc/library/inspect.rst
C      Doc/library/difflib.rst
C      Doc/library/sqlite3.rst
C      Doc/library/xmlrpclib.rst
C      Doc/library/dis.rst
C      Doc/library/stdtypes.rst
C      Doc/library/collections.rst
C      Doc/library/functions.rst
C      Doc/library/exceptions.rst
C      Doc/glossary.rst
msg57032 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-11-01 19:54
I saw the merge commit and that it missed Doc/, and I feared this. :D

But, having caused most of this mess, I'll sort it out right now.
msg57034 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-11-01 20:33
Okay, resolved and committed in r58752.
msg57035 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-11-01 20:58
Hm, what happened to Doc/using? Should that perhaps also be submitted?
msg57036 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-11-01 21:00
I noted that too, should be in the repos now.
msg57037 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-11-01 21:02
On 11/1/07, Georg Brandl <report@bugs.python.org> wrote:
>
> Georg Brandl added the comment:
>
> I noted that too, should be in the repos now.

Thanks! And thanks for fixing up my mess so quickly!!
msg90533 - (view) Author: Samuele Pedroni (pedronis) * (Python committer) Date: 2009-07-15 09:07
on a moving gc the identity hash is not unique, id() needs to be unique. 
So not using it is a matter of correctness not speed.

But this issue is too terse to be sure what is talking about.
msg90534 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-07-15 09:21
You probably wanted to send this message to the jython tracker :-)
History
Date User Action Args
2009-07-15 09:21:01amaury.forgeotdarcsetnosy: + amaury.forgeotdarc

messages: + msg90534
title: Use System.identityHashCode for id() -> Doc changes left over after mega-merge from trunk
2009-07-15 09:07:20pedronissetnosy: + pedronis
title: Doc changes left over after mega-merge from trunk -> Use System.identityHashCode for id()
messages: + msg90533
2007-11-01 21:02:00gvanrossumsetmessages: + msg57037
2007-11-01 21:00:34georg.brandlsetmessages: + msg57036
2007-11-01 20:58:20gvanrossumsetmessages: + msg57035
2007-11-01 20:33:07georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg57034
2007-11-01 19:54:04georg.brandlsetmessages: + msg57032
2007-11-01 19:51:46gvanrossumsetseverity: normal -> major
2007-11-01 19:48:11gvanrossumcreate